Package wx :: Package lib :: Module langlistctrl

[frames | no frames]

## Module wx.lib.langlistctrl

ListCtrl and functions to display languages and the flags of their countries

Classes
`LanguageListCtrl` | wx.ListCtrl derived control that displays languages and flags

Function Summary
| ``BuildLanguageCountryMapping`()` Builds a mapping of language ids to LANG_COUNTRY codes
| ``CreateLanguagesResourceLists`(filter, only)` Returns a tuple of (bitmaps, language descriptions, language ids)
| ``GetLanguageFlag`(lang)` Returns a bitmap of the flag for the country of the language id
| ``GetWxIdentifierForLanguage`(lang)` Returns the language id as a string

Function Details

### BuildLanguageCountryMapping()

Builds a mapping of language ids to LANG_COUNTRY codes

### CreateLanguagesResourceLists(filter=1, only=())

Returns a tuple of (bitmaps, language descriptions, language ids)

### GetLanguageFlag(lang)

Returns a bitmap of the flag for the country of the language id

### GetWxIdentifierForLanguage(lang)

Returns the language id as a string

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:46:17 2007 | http://epydoc.sf.net